Bug 865215 - (CVE-2012-4193) CVE-2012-4193 Mozilla: defaultValue security checks not applied (MFSA 2012-89)
CVE-2012-4193 Mozilla: defaultValue security checks not applied (MFSA 2012-89)
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
impact=critical,public=20121011,repor...
: Security
Depends On: 865220 865221 865222 865224 865227 865228 865229 865230
Blocks: 865235
  Show dependency treegraph
 
Reported: 2012-10-10 23:45 EDT by Huzaifa S. Sidhpurwala
Modified: 2015-11-25 04:59 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-12 16:37:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2012-10-10 23:45:36 EDT
Mozilla security researcher moz_bug_r_a4 reported a regression where security wrappers are unwrapped without doing a security check in defaultValue(). This can allow for improper access access to the Location object and the potential for arbitrary code execution. 


External Reference:

http://www.mozilla.org/security/announce/2012/mfsa2012-89.html


Acknowledgements:

Red Hat would like to thank the Mozilla project for reporting this issue. Upstream acknowledges moz_bug_r_a4 as the original reporter.
Comment 3 errata-xmlrpc 2012-10-12 16:15:23 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 5

Via RHSA-2012:1362 https://rhn.redhat.com/errata/RHSA-2012-1362.html
Comment 4 errata-xmlrpc 2012-10-12 16:15:33 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2012:1361 https://rhn.redhat.com/errata/RHSA-2012-1361.html

Note You need to log in before you can comment on or make changes to this bug.